CreateOnDemandPingProbeDetails

class oci.healthchecks.models.CreateOnDemandPingProbeDetails(**kwargs)

Bases: object

The request body used to create an on-demand ping probe.

Attributes:

PROTOCOL_ICMP

A constant which can be used with the protocol property of a CreateOnDemandPingProbeDetails.

PROTOCOL_TCP

A constant which can be used with the protocol property of a CreateOnDemandPingProbeDetails.

compartment_id

[Required] Gets the compartment_id of this CreateOnDemandPingProbeDetails.

port

Gets the port of this CreateOnDemandPingProbeDetails.

protocol

[Required] Gets the protocol of this CreateOnDemandPingProbeDetails.

targets

[Required] Gets the targets of this CreateOnDemandPingProbeDetails.

timeout_in_seconds

Gets the timeout_in_seconds of this CreateOnDemandPingProbeDetails.

vantage_point_names

Gets the vantage_point_names of this CreateOnDemandPingProbeDetails.

Methods:

__init__(**kwargs)

Initializes a new CreateOnDemandPingProbeDetails object with values from keyword arguments.

PROTOCOL_ICMP = 'ICMP'

A constant which can be used with the protocol property of a CreateOnDemandPingProbeDetails. This constant has a value of “ICMP”

PROTOCOL_TCP = 'TCP'

A constant which can be used with the protocol property of a CreateOnDemandPingProbeDetails. This constant has a value of “TCP”

__init__(**kwargs)

Initializes a new CreateOnDemandPingProbeDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
  • compartment_id (str) – The value to assign to the compartment_id property of this CreateOnDemandPingProbeDetails.

  • targets (list[str]) – The value to assign to the targets property of this CreateOnDemandPingProbeDetails.

  • vantage_point_names (list[str]) – The value to assign to the vantage_point_names property of this CreateOnDemandPingProbeDetails.

  • port (int) – The value to assign to the port property of this CreateOnDemandPingProbeDetails.

  • timeout_in_seconds (int) – The value to assign to the timeout_in_seconds property of this CreateOnDemandPingProbeDetails.

  • protocol (str) – The value to assign to the protocol property of this CreateOnDemandPingProbeDetails. Allowed values for this property are: “ICMP”, “TCP”

property compartment_id

[Required] Gets the compartment_id of this CreateOnDemandPingProbeDetails. The OCID of the compartment.

Returns

The compartment_id of this CreateOnDemandPingProbeDetails.

Return type

str

property port

Gets the port of this CreateOnDemandPingProbeDetails. The port on which to probe endpoints. If unspecified, probes will use the default port of their protocol.

Returns

The port of this CreateOnDemandPingProbeDetails.

Return type

int

property protocol

[Required] Gets the protocol of this CreateOnDemandPingProbeDetails. Allowed values for this property are: “ICMP”, “TCP”

Returns

The protocol of this CreateOnDemandPingProbeDetails.

Return type

str

property targets

[Required] Gets the targets of this CreateOnDemandPingProbeDetails. A list of targets (hostnames or IP addresses) of the probe.

Returns

The targets of this CreateOnDemandPingProbeDetails.

Return type

list[str]

property timeout_in_seconds

Gets the timeout_in_seconds of this CreateOnDemandPingProbeDetails. The probe timeout in seconds. Valid values: 10, 20, 30, and 60. The probe timeout must be less than or equal to intervalInSeconds for monitors.

Returns

The timeout_in_seconds of this CreateOnDemandPingProbeDetails.

Return type

int

property vantage_point_names

Gets the vantage_point_names of this CreateOnDemandPingProbeDetails. A list of names of vantage points from which to execute the probe.

Returns

The vantage_point_names of this CreateOnDemandPingProbeDetails.

Return type

list[str]